# Interface ValueJson

The value object contains information for pop-up windows about how images should be retrieved or charts constructed.

See https://developers.arcgis.com/web-map-specification/objects/value/ https://developers.arcgis.com/web-scene-specification/objects/value/.

interface ValueJson {
fields?: string[];
linkURL?: string;
normalizeField?: string;
sourceURL?: string;
tooltipField?: string;
}

#####
Index

### Properties

fields?
linkURL?
normalizeField?
sourceURL?
tooltipField?

##
Properties

### `Optional` fields

fields?: string[]

Used with charts. An array of field names to display in the chart.

### `Optional` linkURL

linkURL?: string

Used with images. A string containing a URL to be launched in a browser when a user clicks the image.

### `Optional` normalizeField

normalizeField?: string

Used with charts. An optional string containing the name of a field. The values of all fields in the chart will be normalized (divided) by the value of this field.

### `Optional` sourceURL

sourceURL?: string

Used with images. The URL to the image.

### `Optional` tooltipField

tooltipField?: string

String value indicating the tooltip for a chart specified from another field. This field is needed when related records are not sued. It is used for showing tooltips from another field in the same layer or related layer/table.